clf
N=1001;
w=logspace(-1,2,N);

sys(1)=tf(100*[1],[1 1 0]);
sys(2)=tf(100*[0.1 1],[1 1 0]);
sys(3)=tf(100*[0.2 1],[1 1 0]);
sys(4)=tf(100*[0.05 1],[1 1 0]);

for k=1:4
[mag,phase]=bode(sys(k),w);

for i=1:N
    mag_bode(i)=20*log10(mag(i));
    phase_bode(i)=phase(i);
end

subplot(2,1,1)
semilogx(w, mag_bode,'-b','LineWidth',3);
axis([.1 100 -40 60])
set(gca,'GridLineStyle','-','FontName','times','FontSize',18)
set(gca,'ytick',[-60 -40 -20 0 20 40 60])
xlabel('{\omega} (rad/sec)');
ylabel('Magnitude (dB)')
grid on;
hold on

subplot(2,1,2)
semilogx(w, phase_bode,'-b','LineWidth',3);
axis([.1 100 -180 -90])
set(gca,'GridLineStyle','-','FontName','times','FontSize',18)
set(gca,'ytick',[-180 -150 -120 -90])
xlabel('{\omega} (rad/sec)');
ylabel('Phase (degree)')
grid on;
hold on

[gm,pm]=margin(sys(k))
end

hold off
