%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% State estimator based controller
% p : desired pole location
% pe: estimator pole location
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

a=[0 -10;0 0]
b=[0;-10]
c=[1 0]
d=0
p=[-10+20*j   -10-20*j]
pe=5*p
k=acker(a,b,p)
l=acker(a',c',pe)
a1=[a -b*k;l'*c a-b*k-l'*c];
b1=[b;b];
c1=[c 0 0];
d1=0;
h=ss(a1,b1,c1,d1);
t = 0:0.001:4;               % vector of time samples
ref = (rem(t,4)<=2)*k(1);    % square wave values
%ref=ones(size(t))*k(1);     % unit step
[ys ts xs]=lsim(h,ref,t,[0;0;0;0]);
% plot states
subplot(2,1,1);
plot(ts,xs(:,1),'-',ts,xs(:,2),':');axis([0 4 -0.5 1.5])
ylabel('x1,x2');xlabel('time(sec)');
grid on
% plot state estimates
subplot(2,1,2)
plot(ts,xs(:,3),'-',ts,xs(:,4),':');axis([0 4 -0.5 1.5])
ylabel('x1hat,x2hat');xlabel('time(sec)');
grid on
