%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% State feedback controller
% p : desired pole location
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
a=[0 -10;0 0]
b=[0;-10]
c=[1 0]
d=0
p=[-10+j*20  -10-j*20]
k=acker(a,b,p)
a1=a-b*k
h=ss(a1,b,c,d)
t = 0:0.001:4;               % vector of time samples
ref = (rem(t,4)<=2)*k(1);   % square wave values
%ref=ones(size(t))*k(1);      % unit step
[ys ts xs]=lsim(h,ref,t,[0;0]);
% plot states
figure(1)
subplot(2,1,1);
plot(ts,xs(:,1),'-',ts,xs(:,2),':');axis([0 4 -0.5 1.5])
grid on
ylabel('x1,x2');
% plot control
subplot(2,1,2)
plot(ts,ref'-k(1)*xs(:,1)-k(2)*xs(:,2));axis([0 4 -10 10])
grid on
ylabel('u');xlabel('time(sec)')
